MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011590Community[OCCT] OCCT:Visualizationpublic2006-02-13 12:392011-12-15 16:34
Reportersan 
Assigned Tosan 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.1.0 
Summary0011590: [OCC Forum: thread 9366] strange code for texturemapped font
DescriptionOriginally posted by Sangsu Lee
(see http://www.opencascade.org/org/forum/thread_9366/ [^]):

I've found a very stange code which deals with texturemapped font setting.
in the following function, it should return MyTextureMappedFont value in
ATextureMappedFont,
but ATextureMappedFont is always asigned as false;
---------------------------------------------------
#if defined(OCC2934) && defined(WNT)
ATextureMappedFont = MyTextureMappedFont;
#endif
ATextureMappedFont = Standard_False; //
----------------------------------------------------

I think it should be something like this

---------------------------------------------------
#if defined(OCC2934) && defined(WNT)
ATextureMappedFont = MyTextureMappedFont;
#elseif
ATextureMappedFont = Standard_False;
#endif
----------------------------------------------------

However, it results in memory leak in using multi-view.

Is there anyone who can deal with this problem?

Sangsu Lee
MIDAS IT

============================================================

The corrected file Graphic3d_AspectText3d.cxx is attached.
Additional information
and documentation updates
Documentation remark, added by san 2006-02-13 10:42:41:

Changes:
A mistake was corrected in Graphic3d_AspectText3d::Values() method, now it sets
<ATextureMappedFont> output argument correctly.
TagsNo tags attached.
Test case number
Attached Filesgz file icon san-OCC11590-v1.tar.gz (1,639 bytes) 2006-02-13 10:40

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2006-02-13 13:30 bugmaster Assigned To bugmaster => san
2006-02-13 13:30 bugmaster Status new => assigned
2006-02-13 14:58 san Status assigned => resolved
2006-02-14 17:30 aki Status resolved => tested
2006-02-14 17:31 bugmaster CC => imv
2006-02-20 16:52 bugmaster Status tested => verified
2006-04-06 16:34 bugmaster Status verified => closed
2006-04-06 16:34 bugmaster Resolution @0@ => fixed
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-12-15 16:33 abv Description Updated View Revisions
2011-12-15 16:33 abv Additional Information Updated View Revisions
2011-12-15 16:34 abv Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker